const [_major, _minor] = process.version.slice(1).split('.', 2);

const major = parseInt(_major, 10);
const minor = parseInt(_minor, 10);

// Disable experimental-strip-types to handle enum transform with ts-node

module.exports = {
  require: 'ts-node/register',
  spec: ['test/**/*.spec.ts'],
  'node-option':
    major > 22 || (major === 22 && minor >= 6)
      ? ['no-experimental-strip-types']
      : [],
};
